Subject: bug#78920: 30.1; Process sentinel is not called when DNS lookup fails

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Jul 2025 18:10:00 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 21 Jul 2025 16:29:38 +0200
> 
> >>>>> On Sun, 13 Jul 2025 15:00:51 -0400, Shawn Henson <[email-masked]> said:
> 
>     Shawn> Just wanted to check in and ask if a decision has been made
>     Shawn> regarding this bug.
> 
> Not yet.
> 
>     >> So calling the sentinel in case 2 changes the behaviour, but that
>     >> behaviour was already different, and then it would match what happens
>     >> if the remote host exists but eg rejects the connection.
> 
>     Shawn> If calling the sentinel is the agreed upon solution, I may be willing to
>     Shawn> help if you think it would be a good first contribution.
> 
> Itʼs what I think the solution should be, I think we were kind of
> waiting for you to get back to us 😀. Eli?

I'd be happier if a couple more people who use network processes a lot
would chime in and voice their opinions.

There's also the question of what string to call the sentinel in this
case.